# UntrackMe [![License: GPL v3](https://img.shields.io/badge/License-GPL%20v3-blue.svg)](https://www.gnu.org/licenses/gpl-3.0) [![Crowdin](https://badges.crowdin.net/nitterizeme/localized.svg)](https://crowdin.com/project/nitterizeme)  [![pipeline status](https://framagit.org/tom79/nitterizeme/badges/develop/pipeline.svg)](https://framagit.org/tom79/nitterizeme/commits/develop)

UntrackMe transforms Twitter, YouTube, Instagram, Reddit and Medium and Wikipedia links to links of open source, [privacy friendly front-ends](#privacy-friendly-front-ends). Converts Google Maps links to OpenStreetMap links. Removes tracking parameters from any url. Then delegates the action to other apps that are capable of handling them.

##### Versions of UntrackMe:
- **Lite**<br>
Can handle Twitter, YouTube, Instagram, Reddit Medium, Wikipedia, Google Maps and shortened urls.

- **Full**<br>
All features of _Lite_ version + Can remove tracking parameters from any url.


## Donate

[<img alt="Donate using Liberapay" src="http://img.shields.io/liberapay/patrons/tom79.svg?logo=liberapay"/>](https://liberapay.com/tom79/donate)


## Download

- **Full Version**:<br>
[<img alt='Get it on F-Droid' src='./images/get-it-on-fdroid.png' height="80"/>](https://f-droid.org/app/app.fedilab.nitterizeme)

- **Lite Version**:<br>
[<img alt='Get it on F-Droid' src='./images/get-it-on-fdroid.png' height="80"/>](https://f-droid.org/app/app.fedilab.nitterizemelite)


## Privacy Friendly Front-Ends

- **Nitter**<br>
Nitter is a free and open source front-end for Twitter<br>
_Source Code: [github.com/zedeus/nitter](https://github.com/zedeus/nitter)_

- **Invidious**<br>
Invidious is a free and open source front-end for YouTube<br>
_Source Code: [github.com/iv-org/invidious](https://github.com/iv-org/invidious)_

- **Bibliogram**<br>
Bibliogram is a free and open source front-end for Instagram<br>
_Source Code: [sr.ht/~cadence/bibliogram](https://sr.ht/~cadence/bibliogram)_

- **Teddit**<br>
Teddit is a free and open source front-end for Reddit<br>
_Source Code: [codeberg.org/teddit/teddit](https://codeberg.org/teddit/teddit)_

- **Libreddit**<br>
Libreddit is a free and open source front-end for Reddit<br>
_Source Code: [github.com/spikecodes/libreddit](https://github.com/spikecodes/libreddit)_

- **Scribe**<br>
Scribe is a free and open source front-end for Medium<br>
_Source Code: [sr.ht/~edwardloveall/scribe](https://sr.ht/~edwardloveall/scribe)_

- **Wikiless**<br>
Wikiless is a free and open source front-end for Wikipedia<br>
_Source Code: [codeberg.org/orenom/wikiless](https://codeberg.org/orenom/wikiless)_

- **ProxiTok**<br>
  ProxiTok is an open source alternative frontend for TikTok<br>
  _Source Code: [github.com/pablouser1/ProxiTok](https://github.com/pablouser1/ProxiTok)_


### Screenshots:
<img alt="A simple interface to cusomize instances" src="src/fullLinks/fastlane/metadata/android/en-US/images/phoneScreenshots/1.png" width=250/>

<img alt="The app handled and transformed it before delegating the action" src="src/fullLinks/fastlane/metadata/android/en-US/images/phoneScreenshots/2.png" width=250/>

<img alt="You can get latencies for instances and pick up them here" src="src/fullLinks/fastlane/metadata/android/en-US/images/phoneScreenshots/4.png" width=250/>

<img alt="You can customize the parameters and values you want to add to invidious urls" src="src/fullLinks/fastlane/metadata/android/en-US/images/phoneScreenshots/5.png" width=250/>

<img alt="Check which domains are set to open in UntrackMe" src="src/fullLinks/fastlane/metadata/android/en-US/images/phoneScreenshots/6.png" width=250/>


### Going further

#### Privacy Redirect

A web extension from [@SimonBrazell](https://github.com/SimonBrazell) that redirects Twitter, YouTube, Instagram & Google Maps requests to privacy friendly alternatives - Nitter, Invidious, FreeTube, Bibliogram & OpenStreetMap.

Source code of [Privacy Redirect](https://github.com/SimonBrazell/privacy-redirect)


#### Deprecated / Archived

For a full coverage with URLs, you can use FireFox with the [Invidition](https://addons.mozilla.org/fr/firefox/addon/invidition/) plugin from [@booteille](https://framapiaf.org/@booteille).

Source code of [Invidition on Codeberg](https://codeberg.org/Booteille/invidition)